
QGIS Application - Bug report #19287

Crash while zooming with multiple rasters

2018-06-27 06:26 PM - Adje Prado

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27115

Description

I have multiple grayscale rasters below a color ramped raster. QGIS 3.03 has crashed twice during zooming. I'm new to reporting so

please let me know if I have missed anything. Here is the crash report:

Crash ID: 021b1217b1f40c7be6bb467812fca1c5d76ae52b

Stack Trace

QgsColorRampShader::shade :

QgsSingleBandPseudoColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererJob::renderingTime :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: 8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

2025-04-27 1/2



#1 - 2018-06-27 11:37 PM - Jürgen Fischer

- Subject changed from Crash while zooming with multiple rasters (QGIS3.03) to Crash while zooming with multiple rasters

#2 - 2018-07-20 08:10 AM - Nyall Dawson

- Status changed from Open to Feedback

This should be fixed in 3.2.1 - please test

#3 - 2018-08-16 10:26 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Closing for lack of feedback.
